])
AC_DEFUN(PHP_GEN_MAKEFILES,[
- $SHELL $srcdir/build/fastgen.sh $srcdir $ac_cv_mkdir_p $1
+ $SHELL $srcdir/build/fastgen.sh $srcdir $ac_cv_mkdir_p $BSD_MAKEFILE $1
])
AC_DEFUN(PHP_TM_GMTOFF,[
--- /dev/null
+#! /bin/sh
+# +----------------------------------------------------------------------+
+# | PHP version 4.0 |
+# +----------------------------------------------------------------------+
+# | Copyright (c) 1997, 1998, 1999, 2000 The PHP Group |
+# +----------------------------------------------------------------------+
+# | This source file is subject to version 2.02 of the PHP license, |
+# | that is bundled with this package in the file LICENSE, and is |
+# | available at through the world-wide-web at |
+# | http://www.php.net/license/2_02.txt. |
+# | If you did not receive a copy of the PHP license and are unable to |
+# | obtain it through the world-wide-web, please send a note to |
+# | license@php.net so we can mail you a copy immediately. |
+# +----------------------------------------------------------------------+
+# | Authors: Sascha Schumann <sascha@schumann.cx> |
+# +----------------------------------------------------------------------+
+#
+# $Id$
+#
+
+# cwd must be top_srcdir
+test -f build/bsd_makefile || exit 2
+
+test -f bsd_converted && exit 0
+
+tmpfile=`mktemp /tmp/bsd_makefile.XXXXXX 2>/dev/null` || tmpfile="tmp.$$"
+for i in build/*.mk; do
+ sed 's/^include \(.*\)/.include "\1"/' $i >$tmpfile \
+ && cp $tmpfile $i
+done
+rm -f $tmpfile
+
+touch bsd_converted
+exit 0
# | Authors: Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
-# $Id: fastgen.sh,v 1.8 2000-08-20 05:39:37 sas Exp $
+# $Id: fastgen.sh,v 1.9 2000-09-26 11:19:38 sas Exp $
#
srcdir=$1
mkdir_p=$1
shift
+bsd_makefile=$1
+shift
+
top_srcdir=`(cd $srcdir; pwd)`
top_builddir=`pwd`
mkdir_p="$top_srcdir/helpers/mkdir.sh"
fi
-for makefile in $@; do
- echo "creating $makefile"
- dir=`echo $makefile|sed 's%/*[^/][^/]*$%%'`
- $mkdir_p "$dir/"
+if test "$bsd_makefile" = "yes"; then
+ (cd $top_srcdir; ./build/bsd_makefile)
+
+ for makefile in $@; do
+ echo "creating $makefile"
+ dir=`echo $makefile|sed 's%/*[^/][^/]*$%%'`
+ $mkdir_p "$dir/"
+
+ cat - $top_srcdir/$makefile.in <<EOF |sed 's/^include \(.*\)/.include "\1"/' >$makefile
+top_srcdir = $top_srcdir
+top_builddir = $top_builddir
+srcdir = $top_srcdir/$dir
+builddir = $top_builddir/$dir
+VPATH = $top_srcdir/$dir
+EOF
+
+ test -z "$dir" && dir=.
+ touch $dir/.deps
+ done
+else
+ for makefile in $@; do
+ echo "creating $makefile"
+ dir=`echo $makefile|sed 's%/*[^/][^/]*$%%'`
+ $mkdir_p "$dir/"
- cat - $top_srcdir/$makefile.in <<EOF >$makefile
+ cat - $top_srcdir/$makefile.in <<EOF >$makefile
top_srcdir = $top_srcdir
top_builddir = $top_builddir
srcdir = $top_srcdir/$dir
VPATH = $top_srcdir/$dir
EOF
- test -z "$dir" || touch $dir/.deps
-done
+ test -z "$dir" && dir=.
+ touch $dir/.deps
+ done
+fi
--- /dev/null
+#! /bin/sh
+# +----------------------------------------------------------------------+
+# | PHP version 4.0 |
+# +----------------------------------------------------------------------+
+# | Copyright (c) 1997, 1998, 1999, 2000 The PHP Group |
+# +----------------------------------------------------------------------+
+# | This source file is subject to version 2.02 of the PHP license, |
+# | that is bundled with this package in the file LICENSE, and is |
+# | available at through the world-wide-web at |
+# | http://www.php.net/license/2_02.txt. |
+# | If you did not receive a copy of the PHP license and are unable to |
+# | obtain it through the world-wide-web, please send a note to |
+# | license@php.net so we can mail you a copy immediately. |
+# +----------------------------------------------------------------------+
+# | Authors: Sascha Schumann <sascha@schumann.cx> |
+# +----------------------------------------------------------------------+
+#
+# $Id$
+#
+
+# cwd must be top_srcdir
+test -f build/sysv_makefile || exit 2
+
+test -f bsd_converted || exit 1
+
+tmpfile=`mktemp /tmp/sysv_makefile.XXXXXX` || tmpfile="tmp.$$"
+for i in build/*.mk; do
+ sed 's/^\.include "\(.*\)"/include \1/' $i >$tmpfile \
+ && cp $tmpfile $i
+done
+rm -f $tmpfile
+
+rm bsd_converted
+exit 0
rm -f generated_lists
+case "`uname`" in
+*BSD/OS*)
+ ./build/bsd_makefile;;
+esac
+
${MAKE:-make} -s -f build/build.mk AMFLAGS="$automake_flags"
AC_PROG_CC
AC_AIX
+BSD_MAKEFILE=no
+
case "$host_alias" in
*solaris*)
CPPFLAGS="$CPPFLAGS -D_POSIX_PTHREAD_SEMANTICS";;
CPPFLAGS="$CPPFLAGS -D_BSD_TIMEOFDAY_FLAVOR";;
*darwin*|*rhapsody*)
CPPFLAGS="$CPPFLAGS -traditional-cpp";;
+*bsdi*)
+ BSD_MAKEFILE=yes;;
esac
AM_PROG_CC_STDC
PHP_CONFIGURE_PART(Generating files)
PHP_GEN_CONFIG_VARS
-touch .deps
ALL_OUTPUT_FILES="php4.spec Zend/Makefile build-defs.h $PHP_OUTPUT_FILES"